--== Header =============================================================================

library IEEE;
use IEEE.std_logic_1164.all;

-----------------------------------------------------------------------------------------


--== Entidade ===========================================================================

ENTITY Process_tb IS
END Process_tb;

-----------------------------------------------------------------------------------------


--== Arquitetura ========================================================================

ARCHITECTURE behavior OF Process_tb IS
	-- Sinais Locais
	signal a : std_logic;
	signal b : std_logic;

	signal pa : std_logic;
	signal pb : std_logic;
	signal pc : std_logic;
	signal pd : std_logic;
	signal pe : std_logic;

	signal clk   : std_logic;


-- Comportamento
BEGIN
	a <= '0';
	b <= '1';

	process(clk)
	begin
		pa <= a and b;

		if clk = '1' then
			pb <= a or b;
		end if;

		if rising_edge(clk) then
			pc <= (not a) and b;
		end if;

		if falling_edge(clk) then
			pd <= a xor  b;
			pe <= a nand b;
		end if;
	end process;


-- Nao considerar esta parte
	clk_process: process
	begin
		clk <= '0';
		wait for 1 ns;
		clk <= '1';
		wait for 1 ns;
	end process;

END;

-----------------------------------------------------------------------------------------

